#include "edit.h"


static int editMode = EDIT_MODE_VIEW;

static ROOM *activeRoom = NULL;
static ROOM *hoveredRoom = NULL;

int getEditMode() {
  return editMode;
}


ROOM *getActiveRoom() {
  return activeRoom;
}

void setActiveRoom(ROOM *room) {
  activeRoom = room;
  
  if(editMode == EDIT_MODE_VIEW || editMode == EDIT_MODE_SELECTED)
    editMode = (room == NULL) ? EDIT_MODE_VIEW : EDIT_MODE_SELECTED;
}

ROOM *getHoveredRoom() {
  return hoveredRoom;
}

void setHoveredRoom(ROOM *room) {
  hoveredRoom = room;
}
